Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IOP::TAO_IOR_Property_var Class Reference

`#include <IORC.h>`

Inheritance diagram for TAO_IOP::TAO_IOR_Property_var:

[legend]
Collaboration diagram for TAO_IOP::TAO_IOR_Property_var:

[legend]
List of all members.

## Public Methods
| TAO_IOR_Property_var (void)
| TAO_IOR_Property_var (TAO_IOR_Property_ptr p)
| TAO_IOR_Property_var (const TAO_IOR_Property_var &)
| ~TAO_IOR_Property_var (void)
TAO_IOR_Property_var & | operator= (TAO_IOR_Property_ptr)
TAO_IOR_Property_var & | operator= (const TAO_IOR_Property_var &)
TAO_IOR_Property_ptr | operator-> (void) const
| operator const TAO_IOR_Property_ptr & () const
| operator TAO_IOR_Property_ptr & ()
TAO_IOR_Property_ptr | in (void) const
TAO_IOR_Property_ptr & | inout (void)
TAO_IOR_Property_ptr & | out (void)
TAO_IOR_Property_ptr | _retn (void)
TAO_IOR_Property_ptr | ptr (void) const
## Static Public Methods
TAO_IOR_Property_ptr | tao_duplicate (TAO_IOR_Property_ptr)
void | tao_release (TAO_IOR_Property_ptr)
TAO_IOR_Property_ptr | tao_nil (void)
TAO_IOR_Property_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| TAO_IOR_Property_var (const TAO_Base_var &rhs)
TAO_IOR_Property_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
TAO_IOR_Property_ptr | ptr_

## Constructor & Destructor Documentation

TAO_IOP::TAO_IOR_Property_var::TAO_IOR_Property_var | ( | void |  | ) |

TAO_IOP::TAO_IOR_Property_var::TAO_IOR_Property_var | ( | TAO_IOR_Property_ptr | p | ) | `[inline]`

TAO_IOP::TAO_IOR_Property_var::TAO_IOR_Property_var | ( | const TAO_IOR_Property_var & |  | ) |

TAO_IOP::TAO_IOR_Property_var::~TAO_IOR_Property_var | ( | void |  | ) |

TAO_IOP::TAO_IOR_Property_var::TAO_IOR_Property_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::_retn | ( | void |  | ) |

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::in | ( | void |  | ) | const

TAO_IOR_Property_ptr& TAO_IOP::TAO_IOR_Property_var::inout | ( | void |  | ) |

TAO_IOP::TAO_IOR_Property_var::operator const TAO_IOR_Property_ptr & | ( |  | ) | const

TAO_IOP::TAO_IOR_Property_var::operator TAO_IOR_Property_ptr & | ( |  | ) |

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::operator-> | ( | void |  | ) | const

TAO_IOR_Property_var& TAO_IOP::TAO_IOR_Property_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

TAO_IOR_Property_var& TAO_IOP::TAO_IOR_Property_var::operator= | ( | const TAO_IOR_Property_var & |  | ) |

TAO_IOP::TAO_IOR_Property_var & TAO_IOP::TAO_IOR_Property_var::operator= | ( | TAO_IOR_Property_ptr | p | ) |

TAO_IOR_Property_ptr& TAO_IOP::TAO_IOR_Property_var::out | ( | void |  | ) |

TAO_IOP::TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::ptr | ( | void |  | ) | const

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::tao_duplicate | ( | TAO_IOR_Property_ptr |  | ) | `[static]`

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::tao_nil | ( | void |  | ) | `[static]`

void TAO_IOP::TAO_IOR_Property_var::tao_release | ( | TAO_IOR_Property_ptr |  | ) | `[static]`

CORBA::Object* TAO_IOP::TAO_IOR_Property_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- IORC.h
- IORC.cpp